Bug 27995 - LayoutTests are too slow
Summary: LayoutTests are too slow
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 27998 28008
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-04 14:22 PDT by Eric Seidel (no email)
Modified: 2009-08-17 18:03 PDT (History)
0 users

See Also:


Attachments
Fix fast/events/click-count.html (1.68 KB, patch)
2009-08-04 14:24 PDT, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
slowest 1000 tests (Debug build on a Mac Pro) (52.78 KB, text/plain)
2009-08-04 17:57 PDT, Eric Seidel (no email)
no flags Details
slowest 1000 tests (Release build on a Mac Pro) (53.22 KB, text/plain)
2009-08-04 18:24 PDT, Eric Seidel (no email)
no flags Details
r47037, slowest 1000 tests (Release build on a Mac Pro) (53.28 KB, text/plain)
2009-08-11 10:13 PDT, Eric Seidel (no email)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2009-08-04 14:22:13 PDT
LayoutTests are too slow

I will post patches here to make them less slow.

Current worst 10 offenders:

9.58 secs: editing/selection/move-left-right.html
9.37 secs: fast/js/array-filter.html
7.71 secs: editing/selection/extend-selection.html
6.82 secs: fast/js/sort-randomly.html
6.25 secs: http/tests/cache/subresource-expiration.html
5.77 secs: fast/js/array-enumerators-functions.html
5.41 secs: fast/events/click-count.html
5.39 secs: fast/js/toString-and-valueOf-override.html
5.26 secs: fast/js/try-catch-crash.html
5.05 secs: http/tests/navigation/slowmetaredirect-basic.html
Comment 1 Eric Seidel (no email) 2009-08-04 14:24:21 PDT
Created attachment 34085 [details]
Fix fast/events/click-count.html
Comment 2 Eric Seidel (no email) 2009-08-04 14:44:03 PDT
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	LayoutTests/ChangeLog
	M	LayoutTests/fast/events/click-count.html
Committed r46779
	M	LayoutTests/ChangeLog
	M	LayoutTests/fast/events/click-count.html
r46779 = e94d8b69e0213dc93223db07ffb9f9f66204ff85 (trunk)
No changes between current HEAD and refs/remotes/trunk
Resetting to the latest refs/remotes/trunk
http://trac.webkit.org/changeset/46779
Comment 3 Mark Rowe (bdash) 2009-08-04 15:08:27 PDT
Is this bug going to be used for investigating which tests are slow or for fixing individual tests?  If the latter, it's fast going to get confusing with multiple patches.  I'd suggest that you spin off separate bugs for tests that you're fixing rather than attaching them here.
Comment 4 Eric Seidel (no email) 2009-08-04 17:57:05 PDT
Created attachment 34105 [details]
slowest 1000 tests (Debug build on a Mac Pro)
Comment 5 Eric Seidel (no email) 2009-08-04 18:11:53 PDT
Comment on attachment 34085 [details]
Fix fast/events/click-count.html

@bdash: agreed.  I'll make this a meta bug.
Comment 6 Eric Seidel (no email) 2009-08-04 18:12:31 PDT
This bug only serves a temporary purpose.  It can be closed when most of the dependent bugs are closed.
Comment 7 Eric Seidel (no email) 2009-08-04 18:24:37 PDT
Created attachment 34108 [details]
slowest 1000 tests (Release build on a Mac Pro)
Comment 8 Mark Rowe (bdash) 2009-08-05 12:57:47 PDT
I sped up http/tests/misc/DOMContentLoaded-event.html and http/tests/navigation/multiple-back-forward-entries.html dramatically in r46808.
Comment 9 Eric Seidel (no email) 2009-08-11 10:13:38 PDT
Created attachment 34573 [details]
r47037, slowest 1000 tests (Release build on a Mac Pro)
Comment 10 Eric Seidel (no email) 2009-08-17 18:03:47 PDT
The commit-queue seems zippier to run these days.  I think we're making progress here!
346.82s total testing time
is my current LayoutTest time for a release build.